org.eclipse.cdt.utils.debug.stabs

## Class Stabs

- java.lang.Object
- - org.eclipse.cdt.utils.debug.stabs.Stabs

    public class Stabs
    extends Object

### Constructor Summary

Constructors
Constructor and Description
`Stabs(byte[] stab, byte[] stabstr, boolean le)`
`Stabs(Elf exe)`
`Stabs(String file)`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static void` `main(String[] args)`
`void` `parse(IDebugEntryRequestor requestor)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Stabs

    public Stabs(String file)
          throws IOException

Throws:
  `IOException`

#### Stabs

    public Stabs(Elf exe)
          throws IOException

Throws:
  `IOException`

#### Stabs

    public Stabs(byte[] stab,
                 byte[] stabstr,
                 boolean le)

### Method Detail

#### parse

    public void parse(IDebugEntryRequestor requestor)

#### main

    public static void main(String[] args)